﻿using System;

using Xamarin.Forms;
using System.Threading.Tasks;
using Xamarin.Forms.Labs.Services.Media;
using System.IO;
using Xamarin.Forms.Labs.Services;
using Xamarin.Forms.Labs;


namespace Xamarin.DVI.Form
{
    public class CameraPage : ContentPage
    {
        //IMediaPicker _mediaPicker;

        public CameraPage()
        {
           
//            Button takePhotoButton = new Button
//            { 
//                Text = "Take Photo",
//                HorizontalOptions = LayoutOptions.Center,
//                VerticalOptions = LayoutOptions.Center,
//                BackgroundColor = Xamarin.Forms.Color.Gray,
//                TextColor = Xamarin.Forms.Color.Blue,
//
//            };
//
//            takePhotoButton.Clicked += CapturePhoto;
//
//            Content = new StackLayout
//            { 
//                Children = { takePhotoButton }
//            };

        }

        void  CapturePhoto(object sender, EventArgs ee)
        {
            Image img = new Image();
            this.Appearing += async (s, e) =>
            {
                img.Source = await GetPicture();
            };
        }


        async Task<ImageSource> GetPicture()//bool chooseNotTake)
        {
            var mediaPicker = DependencyService.Get<IMediaPicker>(); 
            ImageSource imgSource = null;
            if (mediaPicker != null)
            {
                Task<MediaFile> pick;
//                if (!chooseNotTake)
                //               {
                pick = mediaPicker.TakePhotoAsync(new CameraMediaStorageOptions
                    {
                        DefaultCamera = CameraDevice.Rear, 
                        MaxPixelDimension = 1024,
                    });
                //               }
//                else
//                {
//                pick = mediaPicker.SelectPhotoAsync(new CameraMediaStorageOptions{ MaxPixelDimension = 1024 });
//                } 

                await pick.ContinueWith(t =>
                    {
                        if (!t.IsFaulted && !t.IsCanceled)
                        {
                            var mediaFile = t.Result;
                            MemoryStream mstr = new MemoryStream();
                            mediaFile.Source.CopyTo(mstr);
                            imgSource = ImageSource.FromStream(() => mstr);
                        }
                        return imgSource;
                    });
            }
            return  imgSource;
        }
    }

}


